# Get

`GET /workspaces/:workspace/sso`

Get SSO configuration

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** The type of the SSO to be set */
  type?: "SAML" | "OIDC";
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The provider type for SSO configuration */
  sso_provider_type?: "OKTA" | "ONE_LOGIN" | "GOOGLE" | "AZURE" | "AWS" | "CUSTOM";
  /** The SSO URL / SAML endpoint / Identity provider Single sign-on URL. Set when type is `SAML`. */
  sso_url?: string;
  /** Issuer URI, IDP Entity ID, SSO issuer, provider issuer, AD identifier or the base URL of the OpenID Connect (OIDC) server. */
  issuer?: string;
  /** The x509 certificate content. Set when type is `SAML`. */
  certificate?: string;
  /** Set when type is `SAML`. Examples: `sha1`, `sha256`, `sha512` */
  signature_method?: string;
  /** Set when type is `SAML`. Examples: `sha1`, `sha256`, `sha512` */
  digest_method?: string;
  /** Require SSO authentication. */
  require_sso_for_all_members?: boolean;
}
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/sso",
  "html_url": "https://app.buddy.works/my-company/-/workspace/sso",
  "type": "SAML",
  "sso_provider_type": "CUSTOM",
  "sso_url": "https://sso.example.com/saml",
  "issuer": "https://sso.example.com",
  "certificate": "-----BEGIN CERTIFICATE-----\nMIIC...certificate content...\n-----END CERTIFICATE-----",
  "signature_method": "sha256",
  "digest_method": "sha256",
  "require_sso_for_all_members": true
}
```

---
Original source: https://buddy.works/docs/api/platform/sso/get